Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions
ComputePropertyTemplate< PropertyType > Struct Template Reference

`#include <ThreadedComputeProperty.h>`

Inheritance diagram for ComputePropertyTemplate< PropertyType >:
[legend]
Collaboration diagram for ComputePropertyTemplate< PropertyType >:
[legend]

List of all members.

## Public Member Functions

- ComputePropertyTemplate (tlp::Graph *graph, std::string name, PropertyType *result, std::string &errorMsg, tlp::PluginProgress *progress, tlp::DataSet *dataset)
- virtual bool run ()

### template<typename PropertyType>
struct ComputePropertyTemplate< PropertyType >

## Constructor & Destructor Documentation

template<typename PropertyType >

ComputePropertyTemplate< PropertyType >::ComputePropertyTemplate | ( | tlp::Graph * | graph,
|  | std::string | name,
|  | PropertyType * | result,
|  | std::string & | errorMsg,
|  | tlp::PluginProgress * | progress,
|  | tlp::DataSet * | dataset
| ) |  | `[inline]`

## Member Function Documentation

template<typename PropertyType >

virtual bool ComputePropertyTemplate< PropertyType >::run | ( |  | ) | `[inline, virtual]`

Implements AbstractComputeProperty.

Tulip Software by LaBRI Visualization Team 2001 - 2012